fglrx-install Problem mit kernel-source?

Dieses Thema im Forum "Grafik / Video" wurde erstellt von TeaAge, 03.12.2007.

  1. TeaAge

    TeaAge Routinier

    Dabei seit:
    16.05.2007
    Beiträge:
    465
    Zustimmungen:
    0
    Ort:
    Dresden
    Hallo zusammen,

    ich probier gerade mal meine ATI Radeon Mobility x600 zu installieren ... bzw. die proprietären Treiber.

    Die vorhanden Mandriva 2008 Pakete liefen bei mir auch nicht, deshalb habe ich mir den neusten Treiber bei amd.com runter geladen.
    Der Paketbau mit den Treiber ging auch schief, also direkt installiert.
    Im install-log (/usr/share/ati/fglrx-install.log) stand folgendes:
    Code:
    ATI module generator V 2.0
    ==========================
    initializing...
    kernel includes at /lib/modules/2.6.22.12-laptop-1mdv/build/include not found or incomplete
    file: /lib/modules/2.6.22.12-laptop-1mdv/build/include/linux/version.h
    [Error] Kernel Module : Failed to compile kernel module - please consult readme.
    
    Nach dem ich dann in /usr/src/linux-2.6.22.12-laptop-1mdv/include/linux die version.h gefunden und kurzer Hand in den anderen Odner kopiert. Jetzt sieht die Fehlermeldunng so aus:
    Code:
    ATI module generator V 2.0
    ==========================
    initializing...
    cleaning...
    patching 'highmem.h'...
    assuming new VMA API since we do have kernel 2.6.x...
     Assuming default VMAP API
     Assuming default munmap API
    doing Makefile based build for kernel 2.6.x and higher
    make -C /lib/modules/2.6.22.12-laptop-1mdv/build SUBDIRS=/lib/modules/fglrx/build_mod/2.6.x modules
    make[1]: Entering directory `/usr/src/linux-2.6.22.12-1mdv'
    
      ERROR: Kernel configuration is invalid.
             include/linux/autoconf.h or include/config/auto.conf are missing.
             Run 'make oldconfig && make prepare' on kernel src to fix it.
    
    
      WARNING: Symbol version dump /usr/src/linux-2.6.22.12-1mdv/Module.symvers
    die autoconf.h hab ich zwar auch schon rübergekopiert genauso wie 'make oldconfig && make prepare' aber brachte keine Besserung.

    Irgendwas läuft da gewaltig schief ... nur was?

    Die Randbedingungen:
    IBM Thinkpad z60m
    Inter Centrino 2GHz
    ATI Radeon Mobility x600
    Kernel: 2.6.22.12-laptop-1mdv und die source Datein sind auch installiert

    Könnt ihr mir helfen?

    Gruß
    TeaAge
     
  2. Anzeige

    Schau dir mal diese Kategorie an. Dort findest du bestimmt etwas.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
Thema:

fglrx-install Problem mit kernel-source?

Die Seite wird geladen...

fglrx-install Problem mit kernel-source? - Ähnliche Themen

  1. fglrx-Installation geht nicht

    fglrx-Installation geht nicht: Ich habe ein Problem mit der Installation des fglrx-Treiber für meine ATI-Grafikkarte. Ich benutze Ubuntu Studio 7.04 und die "Verwaltung...
  2. Virtualboxproblem

    Virtualboxproblem: Hallo Folgnedes Problem: Ich kann ohne Probleme In Debian-Sid, 64Bit und virtualbox-dkms Unixoide installieren, wenn es sich um eine...
  3. grub-pc Probleme bei upgrade

    grub-pc Probleme bei upgrade: Hallo, ich habe beim dist-upgrade folgendes Problem: ---------- Nach dieser Operation werden 0 B Plattenplatz zusätzlich benutzt. Trigger für...
  4. Problem bei apt-get upgrade (Kali 2.0)

    Problem bei apt-get upgrade (Kali 2.0): Hi, seit paar Tagen habe ich einige Probs. Dachte es sei mal an der Zeit für ein Update und nun tauchen da einige Fehler auf: Es müssen noch 0 B...
  5. Probleme mit YUM

    Probleme mit YUM: Hallo, ich habe CentOs 7 als Dualboot mit Windows 7 auf einen Dell Latitude E5510 installiert. Dies hat soweit auch alles geklappt. Leider habe...